<template>
<div class="root">
  <div >
    <h1>{{ list.nom }} ( {{ nbItems }} items)</h1>
    <router-link :to="url" custom v-slot="{ navigate }">
      <button type="button" @click="navigate" @keypress.enter="navigate">Ajouter un item</button>
    </router-link>
  </div>
  <div class="container">
    <ShoppingItem v-for="items in list.items"
      @deleted="updateList" 
      :key="items.id" :id="items.id" :slug="slug"
      :name="items.nom"
      :quantity="items.quantite"
      :selected="items.selected"
      class="spaced"></ShoppingItem>

  <!-- <div id="shopping-item-list--deleteall">
      <button type="button" @click="deleteAllSelected">Supprimer tous les objets sélectionnés</button>
  </div> -->
  </div>
</div>
</template>

<script>
// @ is an alias to /src
import ShoppingItem from "@/components/ShoppingItem.vue";

export default {
  name: 'ShoppingListPage',
  components: {
    ShoppingItem
  },
  props: ['name', 'items'],
  data() {
    return {
      nbItems: 0
    }
  },
  computed: {
      url() {
          return '/list/' + this.slug + '/add';
      },
      list() {
        const list = JSON.parse(localStorage.getItem('LIST__' + this.slug ));
        this.nbItems;
      return list;
    }
  },

  created() {
    this.slug = this.$route.params.slug;
    this.nbItems = this.list.items.length;
  },
  methods: {
    updateList() {
      this.nbItems--;
    },
  }
}
</script>